<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ofrt__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ofrt_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ofrt__context__t_1a3655e2f6e6fccd33a99ae0919965a02d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_ofrt_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="161" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="161" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofrt__context__t_1a15e10b8b2d960028f26f3781bd86d1b2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofrt_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="162" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofrt__context__t_1a4df4b5e9a02cba4b6bba8e6c10c2c68e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofrt_context_t::history</definition>
        <argsstring />
        <name>history</name>
        <briefdescription>
<para>History of detected movements. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="163" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="163" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofrt__context__t_1a3d14b869436d9a7a23c57db47a665140" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofrt_context_t::debounce</definition>
        <argsstring />
        <name>debounce</name>
        <briefdescription>
<para>Gesture debounce counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="164" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="164" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Rotate context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="198">
        <label>cy_stc_capsense_ofrt_context_t</label>
        <link refid="structcy__stc__capsense__ofrt__context__t" />
        <childnode refid="199" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="199">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
    </collaborationgraph>
    <location bodyend="165" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="159" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="160" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ofrt__context__t_1a3d14b869436d9a7a23c57db47a665140" virt="non-virtual"><scope>cy_stc_capsense_ofrt_context_t</scope><name>debounce</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofrt__context__t_1a4df4b5e9a02cba4b6bba8e6c10c2c68e" virt="non-virtual"><scope>cy_stc_capsense_ofrt_context_t</scope><name>history</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofrt__context__t_1a15e10b8b2d960028f26f3781bd86d1b2" virt="non-virtual"><scope>cy_stc_capsense_ofrt_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofrt__context__t_1a3655e2f6e6fccd33a99ae0919965a02d" virt="non-virtual"><scope>cy_stc_capsense_ofrt_context_t</scope><name>touchStartPosition1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>